petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESSetErrorIfNotConverged

Causes SNESSolve() to generate an error if the solver has not converged.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetErrorIfNotConverged(SNES snes,PetscBool flg)

Logically Collective on SNES

### Input Parameters

| snes | - iterative context obtained from SNESCreate()
| flg | - PETSC_TRUE indicates you want the error generated

### Options database keys

-snes_error_if_not_converged : this takes an optional truth value (0/1/no/yes/true/false) -

### Notes

Normally PETSc continues if a linear solver fails to converge, you can call SNESGetConvergedReason() after a SNESSolve() to determine if it has converged.

### See Also

SNESGetErrorIfNotConverged(), KSPGetErrorIfNotConverged(), KSPSetErrorIFNotConverged()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages